<HTML>
<HEAD>

<TITLE>Common HEP UNIX Environment - Goals (26-Jun-1996)</TITLE>
<!-- Changed by: Arnaud Taddei, 27-Jun-1996 -->

</HEAD>
<BODY>

<H1>Common HEP UNIX Environment - Goals</H1>
<HR>
The goal of this project is to provide a common user environment for UNIX
users and solutions, recommendations, advices, in order to integrate:
<OL>
 <P><LI> a common user environment at line mode level (shell)
 <P> in particular in the login, interactive and batch environments for
     supporting the 6 main shells (<B>sh</B>, <B>csh</B>, <B>ksh</B>, 
     <B>bash</B>, <B>tcsh</B>, <B>zsh</B>)

 <P><LI> a common user environment at graphical level
 <P> in particular the X11 environment
</OL>
 <P>
For each target, the requirements are:
 <P>	
to users it should mainly offer 
 <P>
<UL>
<LI> A decent default
<LI> Easy ways for user customisation
<LI> Standardized look and feel
<LI> Standardized setting of variables
<LI> Guarantied functionality
</UL>
 <P>
to system administrators it should offer
 <P>
<UL>
<LI> 	Easy ways to install 
<LI> 	Easy ways to customise to their own needs and in particular:
	<UL>
	<LI> Optimise resource usage and 
	<LI> Implement policies (security, etc.)
	<LI> Tailorable to needs of individuals and groups
	</UL>
<LI> 	Easy ways to offer defaults and mandatory settings
<LI>    Easy way to take into account the sociological differences between 
        system administrators at HEP, Site, System, Custer, Group managers 
	and end-user level.
<LI>    Minimum number of files to handle
<LI>    Transparent scripts
<LI>    A model which can Evolve
<LI>    A migration paradigm
</UL>
 <P>
to both users and system administrators	
 <P>
<UL>
<LI> 	homogeneous environment on all HEP UNIX platforms.
        It should work on at least the following UNIX platforms:
        <PRE>
	   AIX, HP-UX, IRIX, SunOs, Solaris2, OSF/1, ULTRIX
        </PRE>
	and more in the future
<LI> 	consistant settings accross HEP sites
<LI> 	flexibility to local needs
<LI>    possibility for some users to skip HEPiX if necessary (root, all
        accounts with a uid less than 100, all users listed in a rejection
        file, see wrappers).
<LI> 	political acceptance of the solution 
<LI> 	relevant documentation
</UL>
 <P>
Moreover it should aim New users, new experiments, new machines 
and be flexible enough to address by side effect all the <I>old</I> users
who will be affected.

<HR>
<ADDRESS> <A Name=Signature HREF="http://xwho.cern.ch/WHO/people/26840">Arnaud Taddei</A>, 27-Jun-1996</ADDRESS>
</BODY>
</HTML>



